summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jacob Pipkin2012-04-30 02:59:00 +0200
committer Erik Hanson2012-04-30 07:40:08 +0200
commitdfbdc37ef6bd88dc64ce101eb0065cd326dbf98d (patch)
tree8dc331a907495eafbdaa0ba1fb68d3ddb5a8361d
parentd2a2e5e1500dd315efefbb39e9d866e342fbf230 (diff)
downloadslackbuilds-dfbdc37ef6bd88dc64ce101eb0065cd326dbf98d.tar.gz
perl/perl-Text-Tabulate: Added (pretty text data tabulator)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Text-Tabulate/README4
-rw-r--r--perl/perl-Text-Tabulate/perl-Text-Tabulate.SlackBuild82
-rw-r--r--perl/perl-Text-Tabulate/perl-Text-Tabulate.info10
-rw-r--r--perl/perl-Text-Tabulate/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/perl/perl-Text-Tabulate/README b/perl/perl-Text-Tabulate/README
new file mode 100644
index 0000000000..dbbaf194af
--- /dev/null
+++ b/perl/perl-Text-Tabulate/README
@@ -0,0 +1,4 @@
+perl-Text-Tabulate (pretty text data tabulator)
+This perl module takes an array of line text data, each line
+separated by some string matching a given regular expression, and
+returns a minimal width text table with each column aligned.
diff --git a/perl/perl-Text-Tabulate/perl-Text-Tabulate.SlackBuild b/perl/perl-Text-Tabulate/perl-Text-Tabulate.SlackBuild
new file mode 100644
index 0000000000..7f340d2e9d
--- /dev/null
+++ b/perl/perl-Text-Tabulate/perl-Text-Tabulate.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for <perl-Sort-Versions>
+# Written by Jacob Pipkin <j@dawnrazor.net>
+# Licensed under the WTFPL <http://sam.zoy.org/wtfpl/COPYING>
+
+PRGNAM=perl-Text-Tabulate
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/perl/perl-Text-Tabulate/perl-Text-Tabulate.info b/perl/perl-Text-Tabulate/perl-Text-Tabulate.info
new file mode 100644
index 0000000000..6afb9c7af0
--- /dev/null
+++ b/perl/perl-Text-Tabulate/perl-Text-Tabulate.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Text-Tabulate"
+VERSION="1.1.1"
+HOMEPAGE="http://search.cpan.org/~arif/Text-Tabulate-1.1.1/lib/Text/Tabulate.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AR/ARIF/Text-Tabulate-1.1.1.tar.gz"
+MD5SUM="1e8ad838350ccddd0175a44c99aba40e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jacob Pipkin"
+EMAIL="j@dawnrazor.net"
+APPROVED="dsomero"
diff --git a/perl/perl-Text-Tabulate/slack-desc b/perl/perl-Text-Tabulate/slack-desc
new file mode 100644
index 0000000000..a810f4dd49
--- /dev/null
+++ b/perl/perl-Text-Tabulate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Text-Tabulate: perl-Text-Tabulate (pretty text data tabulator)
+perl-Text-Tabulate:
+perl-Text-Tabulate: This perl module takes an array of line text data, each line
+perl-Text-Tabulate: separated by some string matching a given regular expression, and
+perl-Text-Tabulate: returns a minimal width text table with each column aligned.
+perl-Text-Tabulate:
+perl-Text-Tabulate: http://search.cpan.org/~arif/Text-Tabulate-1.1.1/lib/Text/Tabulate.pm
+perl-Text-Tabulate:
+perl-Text-Tabulate:
+perl-Text-Tabulate:
+perl-Text-Tabulate: